//
// PLBot - OLO's bot
//
// (http://www.olo.counter-strike.pl/)
//
// bot_nodes.h
//
/*
 * Copyright (c) 2004 OLO
 * This file is a part of PLBot application.
 * You are not allowed to remove these copyrights.
 */
#ifndef PLBOT_NODES_H
#define PLBOT_NODES_H

#include <limits.h>

#define P_FL_ONEBOT   (1<<0)
#define P_FL_TWOBOTS   (1<<1)
#define P_FL_ONEWAY   (1<<2)
#define P_FL_1PART   (1<<3)
#define P_FL_2PART   (1<<4)
#define P_FL_KNIFE   (1<<5)

#define W_FL_CROUCH   (1<<0)
#define W_FL_LADDER   (1<<1)
#define W_FL_SNIPER   (1<<2)
#define W_FL_AVOID   (1<<3)
#define W_FL_JUMP    (1<<4)
#define W_FL_USE_BUTTON  (1<<5)
#define W_FL_BREAK   (1<<6)
#define W_FL_AREA    (1<<7)
#define W_FL_WALK    (1<<8)
#define W_FL_STOP    (1<<9)

typedef struct
{
   Vector origin; //Place
   Vector angle; //Angle
   int flags; //Falgs for node
   int buttons; //Buttons?

}
node_struct;

bool NodesLoad();
void NodesSave();
bool AddNode(Vector origin, int iflag);
bool RemoveNode(edict_t *pEntity);
bool ShowMeNode(bool show);
bool SetNodesFlag(edict_t *pEntity, int iflag);

#endif

